Home
Release Notes
Home
Release Notes
Linkedin
  1. Quotations
  • Balad™ Gateway Documentation đź“–
  • Get Started
  • Authorization
  • Responses
  • Go Live!
  • FAQs
  • APIs
    • Authentication
      • Token
    • Core
      • Exchange rate
        • Exchange Rates
      • Balance
        • Get Current Balance
      • Secrets
        • Generate Secret
        • Delete Secret
        • Get Secrets
    • Link
      • Sandbox Testing Guide
      • Error Codes
      • Transaction Lifecycle V2
      • Lookups
        • Purposes List
        • Sources List
        • Banks List
        • Relations
      • Transactions
        • Create transaction
        • Update transaction
        • Cancel transaction
        • Get transaction status V2
        • Transactions List
        • Export Transactions List
        • Validate Account
      • Reconciliation
        • Reconciliation
      • Quotations
        • Create Quotation
          POST
  • Webhooks
    • Link.Transaction.StatusUpdateV2
  1. Quotations

Create Quotation

POST
/core/services/{service_id}/quotations

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples
{
    "from_currency": "USD",
    "to_currency": "EGP"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://gateway-sandbox.balad.tech/core/services//quotations' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "from_currency": "USD",
    "to_currency": "EGP"
}'

Responses

🟢200
application/json
Quotation created
Bodyapplication/json

Example
{
    "data": {
        "quotation_id": "d12e7cf6-831d-4f44-a58d-2b8fc38706c6",
        "from_currency": "USD",
        "to_currency": "EGP",
        "rate": 48.6,
        "expires_in": 60
    },
    "errors": null
}
đźź 400
đźź 401
Previous
Reconciliation
Next
Webhooks
Built with